Bug 524205 - RFE: storage: add jobs API support, allow cancelling volume create/clone operations
RFE: storage: add jobs API support, allow cancelling volume create/clone oper...
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
: FutureFeature
: 581698 (view as bug list)
Depends On:
Blocks: libvirtTodoStorage
  Show dependency treegraph
 
Reported: 2009-09-18 07:55 EDT by Vladimir Benes
Modified: 2016-03-20 19:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2009-09-18 07:55:35 EDT
Description of problem:
Cloning of virtual machine cannot be stopped. I started to clone my machine (full allocated 4GiB image) but I wanted to stop it afterward and it was impossible. I can close the cloning progress dialog by clicking [x] but the process still runs. 

Version-Release number of selected component (if applicable):
libvirt-0.7.1-4.fc12.x86_64
virt-viewer-0.2.0-1.fc12.x86_64
libvirt-client-0.7.1-4.fc12.x86_64
virt-manager-0.8.0-3.fc12.noarch
virt-top-1.0.3-5.fc12.x86_64
python-virtinst-0.500.0-2.fc12.noarch
libvirt-python-0.7.1-4.fc12.x86_64
virt-mem-0.3.1-9.fc12.x86_64

gpxe-roms-qemu-0.9.7-5.fc12.noarch
qemu-kvm-0.10.92-4.fc12.x86_64
qemu-common-0.10.92-4.fc12.x86_64
qemu-system-x86-0.10.92-4.fc12.x86_64
qemu-kvm-tools-0.10.92-4.fc12.x86_64
qemu-img-0.10.92-4.fc12.x86_64

kernel-2.6.31-14.fc12.x86_64



How reproducible:


Steps to Reproduce:
1.clone your guest using virt-manager (or virt-clone)
2.try to interrupt the cloning
3.
  
Actual results:
impossible to interrupt
Comment 1 Cole Robinson 2010-03-03 17:05:37 EST
This is primarily blocked on libvirt, which doesn't provide clone cancelling, although infrastructure for this was recently added with job support. Reassigning to libvirt.
Comment 2 Cole Robinson 2016-03-20 19:41:03 EDT
*** Bug 581698 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.